/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./components/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
    "./plugins/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
    extend: {
      colors: {
        backgroundPrimary: {
          100: "#FFFBE6",
        },
        primary: {
          100: "#B9E4C9",
          200: "#37966F",
          300: "#356859",
        },

        secondary: {
          100: "#FD5523",
          200: "#DA4215",
        },
        secondaryDark: {
          100: "#D03405",
        },
        secondaryLighter: {
          100: "#FFDACF",
        },
        textMain: {
          100: "#444444",
        },
        mainDisable: {
          100: "#888888",
        },
        info: {
          100: "#2B91EF",
          200: "#0061bd",
        },
        danger: {
          100: "#FF2C2C",
        },
        body: {
          100: "#EEEEEE",
        },
      },
    },

    screens: {
      xs: "290px",
      sm: "640px",
      // => @media (min-width: 640px) { ... }

      md: "768px",
      // => @media (min-width: 768px) { ... }

      lg: "1024px",
      // => @media (min-width: 1024px) { ... }

      xl: "1280px",
      // => @media (min-width: 1280px) { ... }

      "2xl": "1536px",
      // => @media (min-width: 1536px) { ... }
    },

    animation: {
      "spin-slow": "spin 8s linear infinite",
      "pulse-1": "pulse .7s linear ",
    },
  },
  plugins: [],
};
